DUMPLFS(8) | System Manager's Manual | DUMPLFS(8)

# NAME

`dumplfs` —
dump file system information

# SYNOPSIS

`dumplfs` | [`-adiS`] [`-b` blkno] [`-I` blkno] [`-s` segno] filesys | device

# DESCRIPTION

`dumplfs` prints out the file system layout information for the LFS file system or special device specified. The listing is very long and detailed. This command is useful mostly for finding out certain file system information such as the file system block size.

The following flags are interpreted by `dumplfs`.

`-a`
  Dump the contents of all superblocks, not just the first. Superblocks appear in the dumplfs output with the segment containing them.
`-b`
  Use the block specified immediately after the flag as the super block for the filesystem.
`-d`
  Check partial segment data checksums and report mismatches. This makes `dumplfs` operate much more slowly.
`-I`
  Use the block specified immediately after the flag as the inode block containing the index file inode.
`-i`
  Dump information about the inode free list.
`-S`
  Dump information about the segment table.
`-s`
  Add the segment number immediately following the flag to a list of segments to dump. This flag may be specified more than once to dump more than one segment. The default is to dump all segments.

# SEE ALSO

disktab(5), fs(5), disklabel(8), newfs_lfs(8)

# HISTORY

The `dumplfs` command appeared in 4.4BSD.

June 13, 2000 | NetBSD 10.1